# norootforbuild

Name: 		hdf5
Version: 	1.8.5
Release: 	4.2
Summary: 	A general purpose library and file format for storing scientific data
License: 	BSD-ish
Group:          Development/Libraries/Parallel
Packager:	Werner Hoch <werner.ho@gmx.de>
URL: 		http://www.hdfgroup.org/HDF5/
Source0: 	%{name}-%{version}-patch1.tar.bz2
Patch2:         %{name}-1.8.3-build.patch
Patch3:         %{name}-1.8.5-noreturn.patch
Patch4:         %{name}-1.8.1-lib64.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Autoreqprov:    On
BuildRequires: 	gcc-c++ krb5-devel, openssl-devel, zlib-devel gcc-fortran
BuildRequires:  fdupes

%description
HDF5 is a general purpose library and file format for storing scientific data.
HDF5 can store two primary objects: datasets and groups. A dataset is 
essentially a multidimensional array of data elements, and a group is a 
structure for organizing objects in an HDF5 file. Using these two basic 
objects, one can create and store almost any kind of scientific data 
structure, such as images, arrays of vectors, and structured and unstructured 
grids. You can also mix and match them in HDF5 files according to your needs.

%package -n libhdf5-0

Summary:        Hierarchical Data File Format Version 5
Group:          Development/Libraries/Parallel

%description -n libhdf5-0
The HDF project involves the development and support of software and
file formats for scientific data management. The HDF software includes
I/O libraries and tools for analyzing, visualizing, and converting
scientific data.

Authors:
--------
    University of Illinois, HDF group
    helpdesk@hdfgroup.org

%package -n libhdf5_hl0

Summary:        Hierarchical Data File Format Version 5
Group:          Development/Libraries/Parallel

%description -n libhdf5_hl0
The HDF project involves the development and support of software and
file formats for scientific data management. The HDF software includes
I/O libraries and tools for analyzing, visualizing, and converting
scientific data.

Authors:
--------
    University of Illinois, HDF group
    helpdesk@hdfgroup.org

%package -n libhdf5-devel

Summary:        Hierarchical Data File Format Version 5
Group:          Development/Libraries/Parallel
Provides:       hdf-devel = %{version}
Obsoletes:      hdf-devel < %{version}
Requires:       libhdf5-0 = %{version}
Requires:	libhdf5_hl0 = %{version}

%description -n libhdf5-devel
The HDF project involves the development and support of software and
file formats for scientific data management. The HDF software includes
I/O libraries and tools for analyzing, visualizing, and converting
scientific data.

Authors:
--------
    University of Illinois, HDF group
    helpdesk@hdfgroup.org

%package examples  
Summary:        Examples for HDF5  
Group:          Development/Libraries/Parallel  
Requires:       libhdf5-0 = %{version}  
Requires:       libhdf5_hl0 = %{version}  
  
%description examples  
Examples of HDF5 library use.  
  
  
Authors:  
--------  
    University of Illinois, HDF group  
    helpdesk@hdfgroup.org  

%prep
%setup -q -n hdf5-1.8.5-patch1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
export CPPFLAGS="$RPM_OPT_FLAGS"
export F9X=gfortran CXX=g++
%if 0%{?suse_version} >= 1120 
%configure \
	   --with-ssl \
	   --enable-cxx \
           --enable-fortran \
           --with-pthread \
	   --disable-static \
           --with-pic
%else
%configure \
	   --with-ssl \
	   --enable-cxx \
           --with-pthread \
	   --disable-static \
           --with-pic
%endif
%{__make}

%install
%makeinstall docdir=${RPM_BUILD_ROOT}%{_docdir}
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la $RPM_BUILD_ROOT/%{_libdir}/*.settings
%if 0%{?suse_version} >= 1120 
#Fortran modules
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/gfortran/modules
mv ${RPM_BUILD_ROOT}%{_includedir}/*.mod ${RPM_BUILD_ROOT}%{_libdir}/gfortran/modules/
%endif
find $RPM_BUILD_ROOT%{_datadir}/hdf5_examples -type f | grep -v ".sh$" | xargs chmod 644
%fdupes -s $RPM_BUILD_ROOT%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libhdf5-0 -p /sbin/ldconfig

%postun -n libhdf5-0 -p /sbin/ldconfig

%post -n libhdf5_hl0 -p /sbin/ldconfig

%postun -n libhdf5_hl0 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING MANIFEST README.txt release_docs/RELEASE.txt release_docs/HISTORY-1_0-1_8_0_rc3.txt release_docs/HISTORY-1_8.txt
%{_bindir}/*

%files -n libhdf5-0
%defattr(0755,root,root) 
%{_libdir}/libhdf5.so.*
%{_libdir}/libhdf5_cpp.so.*
%if 0%{?suse_version} >= 1120 
%{_libdir}/libhdf5_fortran.so.*
%endif

%files -n libhdf5_hl0
%defattr(0755,root,root) 
%{_libdir}/libhdf5_hl.so.*
%{_libdir}/libhdf5_hl_cpp.so.*
%if 0%{?suse_version} >= 1120 
%{_libdir}/libhdf5hl_fortran.so.*
%endif

%files -n libhdf5-devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/*.so
%if 0%{?suse_version} >= 1120 
%dir %{_libdir}/gfortran
%dir %{_libdir}/gfortran/modules
%{_libdir}/gfortran/modules/*.mod
%endif

%files examples
%defattr(-,root,root,-)
%{_datadir}/hdf5_examples

%changelog
* Sun Sep 19 2010 Werner Hoch <werner.ho@gmx.de> - 1.8.5
- new version 1.8.5-patch1
- removed obsolet patches
- activated fotran support for 11.2 and newer 
* Sun Jul 11 2010 Werner Hoch <werner.ho@gmx.de> - 1.8.3
- updated a patch to avoid fuzzy errors
* Sun Nov 15 2009 Werner Hoch <werner.ho@gmx.de> - 1.8.3
- added build and string patches from Factory:Contrib
* Sat Oct 10 2009 Werner Hoch <werner.ho@gmx.de> - 1.8.3
- new version 1.8.3
* Thu Dec 16 2008 Werner Hoch <werner.ho@gmx.de> - 1.8.2
- new version 1.8.2
- specfile mostly taken from factory (version 1.8.1)
* Sat Sep 20 2008 Werner Hoch <werner.ho@gmx.de> - 1.6.7
- removed support for old distributions
- added patches 9 and 11 from openSUSE_11.0
- disabled library test
* Wed Mar 26 2008 Werner Hoch <werner.ho@gmx.de>
- added -fPIC compile option
* Mon Mar 24 2008 Werner Hoch <werner.ho@gmx.de>
- new version 1.6.7
* Thu May 24 2007 Werner Hoch <werner.ho@gmx.de>
- initial specfile mostly taken from
  hdf5-1.6.5-7.fc7.src.rpm 
